## org.eclipse.amp.agf.chart
Class TimeSeriesStrategy

    java.lang.Object
      org.eclipse.amp.agf.chart.BasicChartStrategy
          org.eclipse.amp.agf.chart.BasicAxesChartStrategy
              org.eclipse.amp.agf.chart.TimeSeriesStrategy

All Implemented Interfaces:
  IChartDesignStrategy

    public class TimeSeriesStrategy

extends BasicAxesChartStrategy

Field Summary

Fields inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`dataProvider, dataSource`

Constructor Summary
`TimeSeriesStrategy()`

Method Summary
`void` `addValueSet(java.lang.Object valueSet)`

Methods inherited from class org.eclipse.amp.agf.chart.BasicAxesChartStrategy
`addValueSeries, createChart, createLegend, getValueSetsDefinition, isInitialized, update, updateSelection`

Methods inherited from class org.eclipse.amp.agf.chart.BasicChartStrategy
`getChart, getLegend, setChart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSeriesStrategy

    public TimeSeriesStrategy()

Method Detail

### addValueSet

    public void addValueSet(java.lang.Object valueSet)

  Specified by:
    `addValueSet` in class `BasicAxesChartStrategy`